# Create your views here.

from django.shortcuts import render_to_response

from django.contrib.auth import authenticate,login,logout
from django.http import HttpResponseRedirect
from folio.models import *
def manage(request):
    if not request.user.is_authenticated():
        return HttpResponseRedirect("/login")
    else:
        return render_to_response("folio/manage.html")

def viewall(request):
    #f = "testing"
    f = Portfolio.objects.filter(is_active=True).order_by('order')
    print f
    return render_to_response("folio/viewall.html", {'folios':f,'max_width':400})

def viewone(request, slug):
    print "slug: %s" % slug
    f = Portfolio.objects.get(slug=slug)
    allf = Portfolio.objects.filter(is_active=True).order_by('order')
    allw = f.works.filter(is_active=True).order_by('created_at')
    return render_to_response("folio/view.html",
        {'current':f,'all':allf, 'works':allw, 'meta_keywords':f.meta_keywords});
    pass

