from django.conf.urls.defaults import patterns, include, url

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()
from django.conf import settings
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'portfolio.views.home', name='home'),
    # url(r'^portfolio/', include('portfolio.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^/?$', 'mainpage.views.index'),
    #url(r'^static/(?P<path>.*)$', 'django.views.static.serve', 
    #    {'document_root': settings.STATIC_ROOT,
    #    'show_indexes':True}),
    url(r'^login/?$', 'mainpage.views.log_in'),
    url(r'^logout/?$', 'mainpage.views.log_out'),
    url(r'^portfolio/manage$', 'folio.views.manage'),
    url(r'^portfolio/?$', 'folio.views.viewall'),
    url(r'^portfolio/(?P<slug>[\w-]+)/?$', 'folio.views.viewone'),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^media/(?P<path>.*)$', 'django.views.static.serve',
        {'document_root': settings.MEDIA_ROOT}),

)

