from django.contrib.auth import authenticate,login,logout
from django.shortcuts import render_to_response
from django.http import HttpResponseRedirect
from mainpage.models import *
# Create your views here.
def index(request):
    random = IndexImage.objects.order_by('?')[:1]
    iImage = None
    try:
        iImage = random[0]
    except IndexError:
        iImage = None
    finally:
        pass
    maxWidth = 800
    width = 800
    height = 0
    if iImage:
        print "checking width"
        if(iImage.photo.width < maxWidth):
            width = iImage.photo.width
        else:
            print "width is ok: %i" % width
        height = int((float(width) / float(iImage.photo.width)) * float(iImage.photo.height))
        print "height: %i" % height
        print "width: " + str(width)
        print "got an iImage"


    return render_to_response("index.html", {'iImage':iImage,'width':width,'height':height})

def log_in(request):
    if request.user.is_authenticated():
        print "user is authenticated"
        #forward
        return HttpResponseRedirect("/")
    else:
        if request.method == "GET":
            print "showing login form"
            return render_to_response("login.html")
        else:
            print "processing login"
            username = request.POST['username']
            password = request.POST['password']
            user = authenticate(username=username,password=password)
            if user is not None:
                if user.is_active:
                    login(request, user)
                    return HttpResponseRedirect("/")
                else:
                    #return disabled account error message
                    return render_to_response("login.html", {'message':'Your account has been disabled','username':username})
            else:
                #return error login message
                return render_to_response("login.html", {'message':"Invalid Login",'username':username})
def log_out(request):
        logout(request)
        return HttpResponseRedirect("/login")
